#!/usr/bin/python -i

# $Id$
# Author: Lea Wiemann <LeWiemann@gmail.com>
# Copyright: This script has been placed in the public domain.

import os.path
import docutils.core
import cProfile
import pstats

print('Profiler started.')

os.chdir(os.path.join(os.path.dirname(docutils.__file__), '..'))

print('Profiling...')

prof = cProfile.run("docutils.core.publish_file(source_path='HISTORY.txt',destination_path='prof.HISTORY.html',writer_name='html')", 'docutils.prof')

print('Loading statistics...')

print("""
stats = pstats.Stats('docutils.prof')
stats.strip_dirs()
stats.sort_stats('time')  # 'cumulative'; 'calls'
stats.print_stats(40)
""")

stats = pstats.Stats('docutils.prof')
stats.strip_dirs()
stats.sort_stats('time')
stats.print_stats(40)

try:
    exec(open(os.environ['PYTHONSTARTUP']).read())
except:
    pass
